# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */  #
# Hyprlock config for < 1080p monitor resolutions                                                         
# Original config submitted by https://github.com/SherLock707

# Sourcing colors generated by wallust
source = $HOME/.cache/wal/hyprland.conf
$Scripts = $HOME/.config/hypr/scripts

general {
    grace = 1
}

background {
    monitor =
    # NOTE: use only 1 path
    blur_size = 2
    blur_passes = 1 # 0 disables blurring
    noise = 0.0117
    contrast = 1.3000 # Vibrant!!!
    vibrancy = 0.2100
    vibrancy_darkness = 0.0
    color = $background
    path = $HOME/.cache/wallpaper.png
}


# Date
label {
    monitor =
    text = cmd[update:18000000] echo "<b> "$(date +'%A, %-d %B')" </b>"
    color = $color12
    font_size = 24
    font_family = JetBrainsMono Nerd Font ExtraBold
    position = 0, -50
    halign = center
    valign = top
}

# Hour-Time
label {
    monitor =
#     text = cmd[update:1000] echo "$(date +"%H")"
    text = cmd[update:1000] echo "$(date +"%I")" #AM/PM
	#color = rgba(255, 185, 0, .8)
    color = $color13
    font_size = 160
    font_family = JetBrainsMono Nerd Font ExtraBold 
    position = 0, -100
    halign = center
    valign = top
}

# Minute-Time
label {
    monitor =
    text = cmd[update:1000] echo "$(date +"%M")"
    #color = rgba(15, 10, 222, .8)
    color = $color12
    font_size = 160
    font_family = JetBrainsMono Nerd Font ExtraBold
    position = 0, -320
    halign = center
    valign = top
}

# Seconds-Time
label {
    monitor =
#     text = cmd[update:1000] echo "$(date +"%S")"
    text = cmd[update:1000] echo "$(date +"%S %p")" #AM/PM
    color = $color11
    font_size = 35
    font_family = JetBrainsMono Nerd Font ExtraBold
    position = 0, -325
    halign = center
    valign = top
}

# USER
label {
    monitor =
    text =   $USER
    color = $foreground
    outline_thickness = 2
    dots_size = 0.2 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.2 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = true
    font_size = 24
    font_family = JetBrainsMono Nerd Font ExtraBold
    position = 0, -180
    halign = center
    valign = center
}


# INPUT FIELD
input-field {
    monitor =
    size = 300, 60
    outline_thickness = 2
    dots_size = 0.2 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.2 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = true
    outer_color = rgba(0, 0, 0, 0)
    inner_color = rgba(255, 255, 255, 0.33)
    font_color = $foreground
    fade_on_empty = false
    font_family = JetBrainsMono Nerd Font ExtraBold
    placeholder_text = <i><span>🔒 Type Password</span></i>
    hide_input = false
    position = 0, -260
    halign = center
    valign = center
}

# uptime
label {
    monitor =
    text = cmd[update:60000] echo "<b> "$(uptime -p || $Scripts/UptimeNixOS.sh)" </b>"
    color = $foreground
    font_size = 18
    font_family = JetBrainsMono Nerd Font ExtraBold
    position = -20, 20
    halign = right
    valign = bottom
}

# weather edit the scripts for locations
# weather scripts are located in ~/.config/hypr/UserScripts Weather.sh and/or Weather.py
# see https://github.com/JaKooLit/Hyprland-Dots/wiki/TIPS#%EF%B8%8F-weather-app-related-for-waybar-and-hyprlock
label {
    monitor =
    text = cmd[update:3600000] [ -f ~/.cache/.weather_cache ] && cat  ~/.cache/.weather_cache
    color = $foreground
    font_size = 18
    font_family = JetBrainsMono Nerd Font ExtraBold
    position = 20, 20
    halign = left
    valign = bottom
}
